﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MySQLQueryMonitor.Util;

namespace MySQLQueryMonitor.Model
{
    public class MySQLCommandModel : NotificationObject
    {
        private DateTime timeStamp;

        public DateTime TimeStamp
        {
            get { return timeStamp; }
            set { timeStamp = value; RaisePropertyChanged(() => TimeStamp); }
        }

        private string statement;

        public string Statement
        {
            get { return statement; }
            set { statement = value; RaisePropertyChanged(() => Statement); }
        }

        public MySQLCommandModel(DateTime timeStamp, string statement)
        {
            TimeStamp = timeStamp;
            Statement = statement;
        }
    }
}
