﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLQueryMonitor.Util
{
    public class GroupedItem<T>
    {
        public T Value { get; private set; }
        public string Group { get; private set; }
        public GroupedItem(T value, string group)
        {
            Value = value;
            Group = group;
        }
        public override string ToString()
        {
            return Value.ToString();
        }
    }
}
